#*********************************************************************#
#*                TAU/pC++/Sage++  Copyright (C) 1994                *#
#*                        Jerry Manic Saftware                       *#
#*  Indiana University  University of Oregon  University of Rennes   *#
#*********************************************************************#

#
# global_selectFuncTag: select function in all TAU tools which support this
#
#                  tag: function id to select
#

proc global_selectFuncTag {tag} {
  selectFuncTag $tag
  xsend cagey "selectFuncTag $tag"
  xsend fancy "selectFuncTag $tag"
  xsend racy "selectFuncTag $tag"
}

#
# global_showFuncTag: show function information
#
#                tag: function id to show
#

proc global_showFuncTag {tag} {
  xsend tau "showFuncTag $tag"
}

#
# global_selectClassTag: select class in all TAU tools which support this
#
#                   tag: class id to select
#

proc global_selectClassTag {tag} {
  selectClassTag $tag
  xsend fancy "selectClassTag $tag"
  xsend classy "selectClassTag $tag"
}

#
# global_selectLine: select line in source file
#
#              line: line number to select
#              file: file name to select
#               tag: function id to select if line is call site
#

proc global_selectLine {line file tag} {
  xsend fancy "selectLine $line $file $tag"
  xsend cagey "selectLine $line $file $tag"
}

