/*********************************************************************/
/*                  pC++/Sage++  Copyright (C) 1993                  */
/*  Indiana University  University of Oregon  University of Rennes   */
/*********************************************************************/


#define WARNING 0
#define FATAL 1
#define MAXPARAL 10

#define BLOCK 1
#define CYCLIC 2
#define WHOLE 3
#define QBLOCK 4

/* Define _SMRTS_ */
#include "pcxx_machines.h"

struct INFO_HEAD {
  int    LocalTraversalCount;
  char   *CurrentCollectionTraversal;
  int    type;
  int    number_dimension;
  int    element_size;
  int    nb_element;
  int    dim1size, dim2size, dim3size;
  int    **Table; /* temporary */
  int    *Where; /* temporary */
};

typedef struct INFO_HEAD *PTR_INFO;

typedef struct
{
  int numproc;

#ifdef TRACING_ON
  int eventclass;
  char *tracefile;
#endif

#if defined(_AWE_)
  int numthread;
  int shmemsize;
  int stacksize;
#endif

#ifdef BRKPNT_ON
  int SocketNum;
  int ControlSocketNum;
  char *HostAddr;
#endif
}
pcxx_PARAM_t;

